{% if error %}
    <div class="alert alert-warning" role="alert">
        <h4 class="alert-heading">{{ titulo }}</h4>
        <p>{{ subtitulo }}</p>
        <hr>
        <p class="mb-0">{{ mensaje }}</p>
    </div>    
{% else %}
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="col">
                <h4>{{ title }}</h4><hr>
            </div>
        </div>
        <div class="row">
            <div class="col-10">
                <input type="hidden" name="url_ajax" id="url_ajax" value="{{url_ajax}}" />
            </div>
            <div class="col-12 text-right">

            </div>
        </div>
        <div class="row">
            <div class="col-12">
                &nbsp;
            </div>
        </div>        
        <div class="row">
            <div class="col-12">
                <form id="formMatricula" name="formMatricula" method="post" action="" onsubmit="return false;">                                
                    {#Inicio del formulario#}
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputCicloSolicitudConstruccion">ID DE REGISTRO</label></font>
                            <input class="form-control" type="text" name="inputTxtCodigo" disabled value="{{ objMatricula.id }}"/>
                        </div>
                    </div>
                    <br>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <div class="form-group">
                                <label for="inputAlumno">Alumno</label>
                                <select class="form-control" id="inputAlumno" name="inputAlumno" required="required">
                                    <option value ="">[ Seleccione un alumno ]</option>
                                    {% if alumnos|length > 0 %}
                                        {% for alumno in alumnos %}
                                            {%if objMatricula.int_alumnoid == alumno.id %}
                                                <option value ="{{alumno.id}}"   selected="selected">[{{alumno.chr_cod_alumno}}] {{alumno.chr_first_name}} {{alumno.chr_last_name}}</option>
                                            {%else%}
                                                <option value ="{{alumno.id}}">[{{alumno.chr_cod_alumno}}] {{alumno.chr_first_name}} {{alumno.chr_last_name}}</option>
                                            {%endif%}
                                        {%endfor%}
                                    {%endif%}
                                </select>
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="form-group">
                                <label for="inputSemestre">Semestre</label>
                                <select class="form-control" id="inputSemestre" name="inputSemestre" required="required">
                                    <option value ="">[ Seleccione un semestre ]</option>
                                    {% if semestres|length > 0 %}
                                        {% for sede in semestres %}
                                            {%if objMatricula.int_semestreid == sede.id %}
                                                <option value ="{{sede.id}}" selected="selected">{{sede.chr_name}}</option>
                                            {%else%}
                                                <option value ="{{sede.id}}">{{sede.chr_name}}</option>
                                            {%endif%}
                                        {%endfor%}
                                    {%endif%}
                                </select>
                            </div>
                        </div>
{#                        <div class="form-group col-md-4">#}
                            {# <font size='3'>  <label for="inputTxtApellido">Apellidos</label></font>
                             <input class="form-control" type="text" id="inputTxtApellido" name="inputTxtApellido" required="required" value="{{ objAlumno.chr_apellido }}"/>#}
{#                        </div>#}
                    </div>
                    {% if objMatricula.int_alumnoid > 0 %}
                    <div class="form-row" id="row_prueba" name="row_prueba">
                        <div class="form-group col-md-6">
                            <div class="col-12" id="divTableListSolicitudes2">
                                <label for="inputCusoslibres">Cursos disponibles</label>
                                {% include('partials/table_cursos_libres.html.twig')  with {'items':cursos_disponibles} %}  
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <div class="col-12" id="divTableListSolicitudes1">
                                    <label for="inputMatriculados">Cursos matriculados</label>
                                {% include('partials/table_cursos_matriculas.html.twig')  with {'items':cursos_seleccionados} %}              
                            </div>
                        </div>
                    </div>
{%endif%}
                    {#      <div class="form-row">
                              <div class="form-group col-md-6">
                                  <font size='3'> <strong><label for="inputTipoSolicitud">Tipo de solicitud</label></strong></font>
                                  <select onchange="EditarBotondeEnviar(this);"   id="inputTipoSolicitud" name="inputTipoSolicitud" class="form-control">
                                      <option  value="">[ Seleccione el tipo de solicitud ]</option>
                                      <option  value="2" >Cambios en malla de un programa</option>
                                      <option  value="1" >Cambios en cursos masivos</option>
                                  </select>  
                              </div>
                          </div>#}
                    <br>
                    <div class="form-group">
                        <div class="form-group text-right">
                            <a class="btn btn-primary" href="{{url_home}}" role="button"><i class="fa fa-home"></i> Página inicial</a>
                            <a class="btn btn-danger" href="{{url_backto}}" role="button"><i class="fa fa-arrow-left"></i> Volver</a>
                            <input type="hidden" id="matriculaid" name="matriculaid" value="{{ objMatricula.id }}" />
                            {% if objMatricula.int_alumnoid > 0 %}
                            <button class="btn btn-secondary"  type="submit" name="btnGuardar" id="btnGuardar"><i class="fa fa-save"></i> Guardar</button>
                            {%endif%}
                              {% if objMatricula.int_alumnoid <1 %}
                            <button href="#"type="submit"  class="btn btn-secondary"  name="btnGuardarSeleccionar" id="btnGuardarSeleccionar"><i class="fa fa-save"></i> Guardar y Continuar</button>
                            {%endif%}
                        </div>
                    </div>
                </form>
            </div>
        </div>        
    </div>
{%endif%}
{% include('partials/mensaje.html.twig')  with {'mensaje':mensaje} %}